<div class="cust-card" *ngIf = " challengedUser && challengedUser.length > 0">
	  <h1> {{nbMedal}} <b> Medals </b> </h1>
	  <div class="scroll-part">
		  <div  *ngFor="let challenged of challengedUser; let i = index" >

		  		<button *ngIf="challenged != undefined && !challenged.statut_connexion" style="text-align:left" [routerLink]="['/user',challenged.id,0]" class="btn btn-secondary btn-block mt-2" >

		  			 <img *ngIf="challenged.avatar" 
		  			 		[src]="challenged.avatar" 
				            class="rounded mw-10 mh-10"
				            style=" max-height:50px;max-width:50px;"
				            alt="Personnal Icon">
					<img *ngIf="!challenged.avatar" 
							[src]="'https://i.pinimg.com/originals/51/f6/fb/51f6fb256629fc755b8870c801092942.png'" 
				            class="rounded mw-10 mh-10"
				            style=" max-height:50px;max-width:50px;"
				            alt="Default Icon">
				    <!-- Consomme beaucoup de donnée réseau --> 
				    <b> {{ challenged.nom + " " + challenged.prenom }} </b>
			   </button>


		  		<button *ngIf="challenged != undefined && challenged.statut_connexion" style="text-align:left" [routerLink]="['/user',challenged.id,0]" class="btn btn-success btn-block mt-2" >

		  			 <img *ngIf="challenged.avatar" 
		  			 		[src]="challenged.avatar" 
				            class="rounded mw-10 mh-10"
				            style=" max-height:50px;max-width:50px;"
				            alt="Personnal Icon">
					<img *ngIf="!challenged.avatar" 
							[src]="'https://i.pinimg.com/originals/51/f6/fb/51f6fb256629fc755b8870c801092942.png'" 
				            class="rounded mw-10 mh-10"
				            style=" max-height:50px;max-width:50px;"
				            alt="Default Icon">
				    <!-- Consomme beaucoup de donnée réseau --> 
				    <b> {{ challenged.nom + " " + challenged.prenom }} </b>
			   </button>
		  </div>
	</div>
</div>